Bug 179663 - [PATCH] net-mgmt/collectd5: Update to 5.3.0 and change dependency OPTIONS
Summary: [PATCH] net-mgmt/collectd5: Update to 5.3.0 and change dependency OPTIONS
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Steve Wills
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-06-18 00:20 UTC by kimor79
Modified: 2013-06-20 04:10 UTC (History)
0 users

See Also:


Attachments
file.diff (35.08 KB, patch)
2013-06-18 00:20 UTC, kimor79
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description kimor79 2013-06-18 00:20:00 UTC
This patch changes net-mgmt/collectd5 OPTIONS from features-based to dependency-based. E.g., instead of enabling "apache" and "bind" (features), you enable "curl" (dependency required to poll apache and bind). Also bumps version to 5.3.0.

Since the OPTIONS are changed, and update to UPDATING is also required. `make `config` will need to be run after updating the port files.

Fix: Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2013-06-18 00:20:11 UTC
Responsible Changed
From-To: freebsd-ports-bugs->swills

swills@ wants this submitter's PRs (via the GNATS Auto Assign Tool)
Comment 2 Edwin Groothuis freebsd_committer 2013-06-18 00:20:12 UTC
Maintainer of net-mgmt/collectd5,

Please note that PR ports/179663 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/179663

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 3 Edwin Groothuis freebsd_committer 2013-06-18 00:20:13 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 4 Krzysztof 2013-06-18 09:04:05 UTC
Hello,

On Mon, Jun 17, 2013 at 11:20:12PM +0000, Edwin Groothuis wrote:
> Maintainer of net-mgmt/collectd5,
> 
> Please note that PR ports/179663 has just been submitted.
> 
> If it contains a patch for an upgrade, an enhancement or a bug fix
> you agree on, reply to this email stating that you approve the patch
> and a committer will take care of it.
> 
> The full text of the PR can be found at:
>     http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/179663
> 
> -- 
> Edwin Groothuis via the GNATS Auto Assign Tool
> edwin@FreeBSD.org
> 
Yes, I approve this patch. It was discussed with Kimo.

Regards,
-- 
Krzysztof Stryjek
UNIX administrator/Juniper Networks Specialist
email: wtp (at) bsdserwis (dot) com
http://www.linkedin.com/in/KrzysztofStryjek
GPG fingerprint: 8BD7 40CE 8994 0BBE CE6C  91CD 1292 8959 DC61 0E76

In theory, there is no difference between theory and practice.
In practice, there is.
Comment 5 dfilter service freebsd_committer 2013-06-20 04:02:18 UTC
Author: swills
Date: Thu Jun 20 03:02:07 2013
New Revision: 321346
URL: http://svnweb.freebsd.org/changeset/ports/321346

Log:
  - Update to 5.3.0
  - Switch to dependency based OPTIONS list
  
  PR:		ports/179663
  Submitted by:	Kimo <kimor79@yahoo.com>
  Approved by:	Krzysztof Stryjek <ports@bsdserwis.com> (maintainer)

Added:
  head/net-mgmt/collectd5/files/patch-src__Makefile.in   (contents, props changed)
Modified:
  head/net-mgmt/collectd5/Makefile
  head/net-mgmt/collectd5/distinfo
  head/net-mgmt/collectd5/files/patch-configure.in
  head/net-mgmt/collectd5/files/patch-src__Makefile.am
  head/net-mgmt/collectd5/files/patch-src__collectd.h   (contents, props changed)
  head/net-mgmt/collectd5/files/patch-src__zfs_arc.c
  head/net-mgmt/collectd5/files/patch-version-gen.sh
  head/net-mgmt/collectd5/pkg-plist

Modified: head/net-mgmt/collectd5/Makefile
==============================================================================
--- head/net-mgmt/collectd5/Makefile	Thu Jun 20 02:03:00 2013	(r321345)
+++ head/net-mgmt/collectd5/Makefile	Thu Jun 20 03:02:07 2013	(r321346)
@@ -2,8 +2,7 @@
 # $FreeBSD$
 
 PORTNAME=	collectd
-PORTVERSION=	5.2.1
-PORTREVISION=	3
+PORTVERSION=	5.3.0
 CATEGORIES=	net-mgmt
 MASTER_SITES=	http://collectd.org/files/
 
@@ -18,54 +17,30 @@ WANT_GNOME=	yes
 
 LATEST_LINK=	collectd5
 
-OPTIONS_DEFINE=		CGI BIND DEBUG GCRYPT VIRT
-OPTIONS_GROUP=		INPUT OUTPUT
-OPTIONS_GROUP_OUTPUT=	RRDTOOL RRDCACHED WRITE_GRAPHITE WRITE_HTTP NOTIFYEMAIL
-OPTIONS_GROUP_INPUT=	APACHE APCUPS CURL CURL_JSON CURL_XML DBI DISK GCRYPT \
-			NUTUPS INTERFACE IPMI MBMON MEMCACHED MODBUS MYSQL NGINX \
-			OPENVPN PDNS PGSQL PING PYTHON ROUTEROS SNMP TABLE \
-			TOKYOTYRANT VARNISH XMMS
+OPTIONS_DEFINE=		CGI CURL DEBUG DBI GCRYPT JSON MEMCACHEC MODBUS MYSQL NUTUPS PGSQL PING PYTHON REDIS ROUTEROS RRDTOOL SNMP STATGRAB TOKYOTYRANT VIRT XML XMMS
 
-OPTIONS_DEFAULT=	BIND INTERFACE PING SNMP RRDTOOL RRDCACHED
-
-CGI_DESC=		Install collection.cgi (requires RRDTOOL)
-BIND_DESC=		Enable BIND 9.5+ statistics
+CGI_DESC=		Install collection.cgi (requires rrdtool)
+CURL_DESC=		Enable curl-based plugins (apache, nginx, etc)
 DEBUG_DESC=		Enable debugging
+DBI_DESC=		Enable dbi plugin
 GCRYPT_DESC=		Build with libgcrypt
-VIRT_DESC=		Build with libvirt
-# INPUT
-APACHE_DESC=		Apache mod_status (libcurl)
-APCUPS_DESC=		APC UPS (apcupsd)
-CURL_DESC=		CURL generic web statistics
-CURL_JSON_DESC=		CURL JSON generic web statistics
-CURL_XML_DESC=		CURL XML generic web statistics
-DBI_DESC=		database abstraction library
-DISK_DESC=		Disk performance statistics
-NUTUPS_DESC=		NUT UPS daemon
-INTERFACE_DESC=		Network interfaces (libstatgrab)
-IPMI_DESC=		IPMI plugin (openipmi)
-MBMON_DESC=		MBMon 
-MEMCACHED_DESC=		Memcached
-MODBUS_DESC=		Modbus support via libmodbus
-MYSQL_DESC=		MySQL
-NOTIFYEMAIL_DESC=	Email notifications (libesmtp, libnotify)
-NGINX_DESC=		Nginx
-OPENVPN_DESC=		OpenVPN statistics
-PDNS_DESC=		PowerDNS
-PGSQL_DESC=		PostgreSQL
-PING_DESC=		Network latency (liboping)
-PYTHON_DESC=		Python plugin
-ROUTEROS_DESC=		RouterOS plugin
-SNMP_DESC=		SNMP
-TABLE_DESC=		Table plugin
-TOKYOTYRANT_DESC=	Tokyotyrant database
-VARNISH_DESC=		Varnish plugin
-XMMS_DESC=		XMMS
-# OUTPUT
-RRDTOOL_DESC=		RRDTool
-RRDCACHED_DESC=		RRDTool Cached (requires RRDTOOL)
-WRITE_GRAPHITE_DESC=	write_graphite
-WRITE_HTTP_DESC=	write_http
+JSON_DESC=		Enable JSON plugins
+MEMCACHEC_DESC=		Enable memcachec plugin
+MODBUS_DESC=		Enable modbus plugin
+MYSQL_DESC=		Enable mysql-basd plugins
+NUTUPS_DESC=		Enable nut (ups) plugin
+PGSQL_DESC=		Enable postgresql-basd plugins
+PING_DESC=		Enable ping plugin
+PYTHON_DESC=		Enable python-based plugins
+REDIS_DESC=		Enable redis-based plugins
+ROUTEROS_DESC=		Enable routeros plugin
+RRDTOOL_DESC=		Enable rrdtool plugin (also rrdcached plugin)
+SNMP_DESC=		Enable SNMP plugin
+STATGRAB_DESC=		Enable statgrab-based plugins (disk, interface, etc)
+TOKYOTYRANT_DESC=	Enable tokyotyrant plugin
+VIRT_DESC=		Enable libvirt plugin (requires XML)
+XML_DESC=		Enable XML plugins
+XMMS_DESC=		Enable xmms plugin
 
 MAN1=		collectd.1 collectd-nagios.1 collectd-tg.1 collectdmon.1 collectdctl.1
 MAN5=		collectd.conf.5 collectd-email.5 collectd-exec.5 \
@@ -82,75 +57,97 @@ LDFLAGS+=	-L${LOCALBASE}/lib
 
 .include <bsd.port.options.mk>
 
-# NOTE: Feel free to submit patches adding support for any of these
-#       disabled plugins.  If a plugin requires external dependencies,
-#       make it optional through OPTIONS defaulting to Off.  Some of
-#       these are Linux specific, but others will probably run on
-#       FreeBSD as well, given a bit of careful attention.
+# NOTE: Plugins without dependencies are defined further down.
 CONFIGURE_ARGS=	--localstatedir=/var \
+		--disable-all-plugins \
 		--disable-getifaddrs \
-		--disable-apple_sensors \
-		--disable-ascent \
-		--disable-battery \
-		--disable-conntrack \
-		--disable-contextswitch \
-		--disable-cpufreq \
-		--disable-entropy \
-		--disable-fscache \
-		--disable-gmond \
-		--disable-hddtemp \
-		--disable-ipmi \
-		--disable-iptables \
-		--disable-ipvs \
-		--disable-irq \
-		--disable-java \
+		--disable-static \
 		--without-java \
-		--disable-madwifi \
-		--disable-match_empty_counter \
-		--disable-match_hashed \
-		--disable-match_regex \
-		--disable-match_timediff \
-		--disable-match_value \
-		--disable-memcachec \
-		--disable-multimeter \
-		--disable-netapp \
-		--without-libnetapp \
-		--disable-netlink \
-		--disable-nfs \
-		--disable-notify_desktop \
-		--disable-olsrd \
-		--disable-onewire \
-		--disable-oracle \
-		--disable-perl \
-		--disable-pinba \
-		--disable-protocols \
-		--disable-sensors \
-		--disable-serial \
-		--disable-table \
-		--disable-tape \
-		--disable-target_notification \
-		--disable-target_replace \
-		--disable-target_scale \
-		--disable-target_set \
-		--disable-teamspeak2 \
-		--disable-ted \
-		--disable-thermal \
-		--disable-vmem \
-		--disable-vserver \
-		--disable-wireless \
-		--without-perl-bindings \
-		--without-librabbitmq \
-		--disable-varnish \
-		--without-libvarnish \
 		--without-libcredis \
+		--without-libcurl \
+		--without-libdbi \
+		--without-libesmtp \
 		--without-libganglia \
+		--without-libgcrypt \
+		--without-libiptc \
+		--without-libjvm \
+		--without-libkstat \
+		--without-libmemcached \
+		--without-libmodbus \
+		--without-libmongoc \
+		--without-libmysql \
+		--without-libnetlink \
+		--without-libnetapp \
+		--without-libnetsnmp \
+		--without-libnotify \
+		--without-libopenipmi \
+		--without-liboping \
+		--without-libowcapi \
+		--without-libperfstat \
+		--without-libperl \
+		--without-libpq \
+		--without-librabbitmq \
+		--without-librouteros \
+		--without-librrd \
+		--without-libsensors \
+		--without-libstatgrab \
+		--without-libtokyotyrant \
 		--without-libupsclient \
-		--without-libesmtp \
-		--disable-static
+		--without-libvarnish \
+		--without-libvirt \
+		--without-libxmms \
+		--without-libyajl \
+		--without-oracle \
+		--without-perl-bindings \
+		--without-python
 
-.if ${PORT_OPTIONS:MDEBUG}
-CONFIGURE_ARGS+=--enable-debug
-.endif
+# NOTE: Plugins without external dependencies
+CONFIGURE_ARGS+=	\
+		--enable-aggregation \
+		--enable-apcups \
+		--enable-contextswitch \
+		--enable-cpu \
+		--enable-csv \
+		--enable-df \
+		--enable-dns \
+		--enable-email \
+		--enable-exec \
+		--enable-filecount \
+		--enable-load \
+		--enable-logfile \
+		--enable-match_empty_counter \
+		--enable-match_hashed \
+		--enable-match_regex \
+		--enable-match_timediff \
+		--enable-match_value \
+		--enable-mbmon \
+		--enable-memcached \
+		--enable-memory \
+		--enable-network \
+		--enable-ntpd \
+		--enable-openvpn \
+		--enable-powerdns \
+		--enable-pf \
+		--enable-processes \
+		--enable-swap \
+		--enable-syslog \
+		--enable-table \
+		--enable-tail \
+		--enable-target_notification \
+		--enable-target_replace \
+		--enable-target_scale \
+		--enable-target_set \
+		--enable-target_v5upgrade \
+		--enable-tcpconns \
+		--enable-teamspeak2 \
+		--enable-ted \
+		--enable-threshold \
+		--enable-unixsock \
+		--enable-uptime \
+		--enable-users \
+		--enable-uuid \
+		--enable-write_graphite \
+		--enable-zfs_arc
 
 .if ${PORT_OPTIONS:MCGI}
 RUN_DEPENDS+=	p5-URI>=0:${PORTSDIR}/net/p5-URI \
@@ -158,323 +155,209 @@ RUN_DEPENDS+=	p5-URI>=0:${PORTSDIR}/net/
 		p5-Data-Dumper>=0:${PORTSDIR}/devel/p5-Data-Dumper \
 		p5-HTML-Parser>=0:${PORTSDIR}/www/p5-HTML-Parser
 PLIST_SUB+=	CGI=""
-.  if empty(PORT_OPTIONS:MRRDTOOL)
+.if empty(PORT_OPTIONS:MRRDTOOL)
 IGNORE=		CGI requires RRDTOOL. Either select RRDTOOL or deselect CGI
-.  endif
-.else
-PLIST_SUB+=	CGI="@comment "
-.endif
-
-.if ${PORT_OPTIONS:MBIND}
-CONFIGURE_ARGS+=--enable-bind
-LIB_DEPENDS+=	curl:${PORTSDIR}/ftp/curl
-LIB_DEPENDS+=	xml2:${PORTSDIR}/textproc/libxml2
-PLIST_SUB+=	BIND=""
-.else
-CONFIGURE_ARGS+=--disable-bind
-PLIST_SUB+=	BIND="@comment "
 .endif
-
-.if ${PORT_OPTIONS:MAPACHE}
-CONFIGURE_ARGS+=--enable-apache
-LIB_DEPENDS+=	curl:${PORTSDIR}/ftp/curl
-PLIST_SUB+=	APACHE=""
-.else
-CONFIGURE_ARGS+=--disable-apache
-PLIST_SUB+=	APACHE="@comment "
-.endif
-
-.if ${PORT_OPTIONS:MAPCUPS}
-CONFIGURE_ARGS+=--enable-apcups
-BUILD_DEPENDS+=	${LOCALBASE}/sbin/apcupsd:${PORTSDIR}/sysutils/apcupsd
-PLIST_SUB+=	APCUPS=""
 .else
-CONFIGURE_ARGS+=--disable-apcups
-PLIST_SUB+=	APCUPS="@comment "
+PLIST_SUB+=	CGI="@comment "
 .endif
 
 .if ${PORT_OPTIONS:MCURL}
-CONFIGURE_ARGS+=--enable-curl --with-libcurl=${LOCALBASE}
 LIB_DEPENDS+=	curl:${PORTSDIR}/ftp/curl
+CONFIGURE_ARGS+=--with-libcurl=${LOCALBASE} \
+		--enable-apache \
+		--enable-curl \
+		--enable-nginx \
+		--enable-write_http
 PLIST_SUB+=	CURL=""
 .else
-CONFIGURE_ARGS+=--disable-curl
 PLIST_SUB+=	CURL="@comment "
 .endif
 
-.if ${PORT_OPTIONS:MCURL_JSON}
-.if empty(PORT_OPTIONS:MCURL)
-IGNORE=	using CURL_JSON requires CURL support
-.endif
+.if ${PORT_OPTIONS:MCURL} && ${PORT_OPTIONS:MJSON}
 CONFIGURE_ARGS+=--enable-curl_json
-LIB_DEPENDS+=	yajl:${PORTSDIR}/devel/yajl
 PLIST_SUB+=	CURL_JSON=""
 .else
-CONFIGURE_ARGS+=--disable-curl_json --without-libyajl
 PLIST_SUB+=	CURL_JSON="@comment "
 .endif
 
-.if ${PORT_OPTIONS:MCURL_XML}
-.if empty(PORT_OPTIONS:MCURL)
-IGNORE=	using CURL_XML requires CURL support
-.endif
-CONFIGURE_ARGS+=--enable-curl_xml
-LIB_DEPENDS+=	xml2:${PORTSDIR}/textproc/libxml2
+.if ${PORT_OPTIONS:MCURL} && ${PORT_OPTIONS:MXML}
+CONFIGURE_ARGS+=	\
+		--enable-ascent \
+		--enable-bind \
+		--enable-curl_xml
 PLIST_SUB+=	CURL_XML=""
 .else
-CONFIGURE_ARGS+=--disable-curl_xml
 PLIST_SUB+=	CURL_XML="@comment "
 .endif
 
+.if ${PORT_OPTIONS:MDEBUG}
+CONFIGURE_ARGS+=--enable-debug
+.endif
+
 .if ${PORT_OPTIONS:MDBI}
-CONFIGURE_ARGS+=--enable-dbi --with-libdbi=${LOCALBASE}
 LIB_DEPENDS+=	dbi:${PORTSDIR}/databases/libdbi
+CONFIGURE_ARGS+=--with-libdbi=${LOCALBASE} --enable-dbi
 PLIST_SUB+=	DBI=""
 .else
-CONFIGURE_ARGS+=--disable-dbi --without-libdbi
 PLIST_SUB+=	DBI="@comment "
 .endif
 
-.if ${PORT_OPTIONS:MDISK}
-CONFIGURE_ARGS+=--enable-disk
-PLIST_SUB+=	DISK=""
-.else
-CONFIGURE_ARGS+=--disable-disk
-PLIST_SUB+=	DISK="@comment "
-.endif
-
 .if ${PORT_OPTIONS:MGCRYPT}
-CONFIGURE_ARGS+=--with-libgcrypt-prefix=${LOCALBASE}
 LIB_DEPENDS+=	gcrypt:${PORTSDIR}/security/libgcrypt
+CONFIGURE_ARGS+=--with-libgcrypt=${LOCALBASE}
 .endif
 
-.if ${PORT_OPTIONS:MNUTUPS}
-CONFIGURE_ARGS+=--enable-nut --with-libupsclient
-LIB_DEPENDS+=	upsclient:${PORTSDIR}/sysutils/nut
-PLIST_SUB+=	NUTUPS=""
-.else
-CONFIGURE_ARGS+=--disable-nut
-PLIST_SUB+=	NUTUPS="@comment "
-.endif
-
-.if ${PORT_OPTIONS:MINTERFACE}
-USES+=		pkgconfig
-CONFIGURE_ARGS+=--enable-interface
-LIB_DEPENDS+=	statgrab:${PORTSDIR}/devel/libstatgrab
-PLIST_SUB+=	INTERFACE=""
-CONFIGURE_ENV+=	LIBS="`pkg-config --libs libstatgrab`"
-.else
-CONFIGURE_ARGS+=--disable-interface
-PLIST_SUB+=	INTERFACE="@comment "
-.endif
-
-.if ${PORT_OPTIONS:MMBMON}
-CONFIGURE_ARGS+=--enable-mbmon
-RUN_DEPENDS+=	${LOCALBASE}/bin/mbmon:${PORTSDIR}/sysutils/mbmon
-PLIST_SUB+=	MBMON=""
-.else
-CONFIGURE_ARGS+=--disable-mbmon
-PLIST_SUB+=	MBMON="@comment "
+.if ${PORT_OPTIONS:MJSON}
+LIB_DEPENDS+=	yajl:${PORTSDIR}/devel/yajl
+CONFIGURE_ARGS+=--with-libyajl=${LOCALBASE}
 .endif
 
-.if ${PORT_OPTIONS:MMEMCACHED}
+.if ${PORT_OPTIONS:MMEMCACHEC}
 LIB_DEPENDS+=	memcached:${PORTSDIR}/databases/libmemcached
-CONFIGURE_ARGS+=--enable-memcached
-CONFIGURE_ARGS+=--with-libmemcached=${LOCALBASE}
-PLIST_SUB+=	MEMCACHED=""
+CONFIGURE_ARGS+=--with-libmemcached=${LOCALBASE} --enable-memcachec
+PLIST_SUB+=	MEMCACHEC=""
 .else
-CONFIGURE_ARGS+=--disable-memcached --without-libmemcached
-PLIST_SUB+=	MEMCACHED="@comment "
+PLIST_SUB+=	MEMCACHEC="@comment "
 .endif
 
 .if ${PORT_OPTIONS:MMODBUS}
-CONFIGURE_ARGS+=--enable-modbus
 LIB_DEPENDS+=	modbus:${PORTSDIR}/comms/libmodbus
+CONFIGURE_ARGS+=--enable-modbus
 PLIST_SUB+=	MODBUS=""
 .else
-CONFIGURE_ARGS+=--disable-modbus
 PLIST_SUB+=	MODBUS="@comment "
 .endif
 
 .if ${PORT_OPTIONS:MMYSQL}
 USE_MYSQL=	yes
-CONFIGURE_ARGS+=--enable-mysql
+CONFIGURE_ARGS+=--with-libmysql=${LOCALBASE} --enable-mysql
 PLIST_SUB+=	MYSQL=""
 .else
-CONFIGURE_ARGS+=--disable-mysql
 PLIST_SUB+=	MYSQL="@comment "
 .endif
 
-.if ${PORT_OPTIONS:MIPMI}
-USES+=		pkgconfig
-CONFIGURE_ARGS+=--enable-ipmi
-LIB_DEPENDS+=	OpenIPMI:${PORTSDIR}/sysutils/openipmi
-PLIST_SUB+=	IPMI=""
-.else
-CONFIGURE_ARGS+=--disable-ipmi
-PLIST_SUB+=	IPMI="@comment "
-.endif
-
 .if ${PORT_OPTIONS:MNOTIFYEMAIL}
 LIB_DEPENDS+=	esmtp:${PORTSDIR}/mail/libesmtp
 LIB_DEPENDS+=	notify:${PORTSDIR}/devel/libnotify
-CONFIGURE_ARGS+=--enable-notify_email
-CONFIGURE_ARGS+=--with-libesmtp=${PREFIX}
+CONFIGURE_ARGS+=--with-libesmtp=${LOCALBASE} \
+		--with-libnotify=${LOCALBASE} \
+		--enable-notify_email
 PLIST_SUB+=	NOTIFYEMAIL=""
 .else
-CONFIGURE_ARGS+=--disable-notify_email
 PLIST_SUB+=	NOTIFYEMAIL="@comment "
 .endif
 
-.if ${PORT_OPTIONS:MNGINX}
-LIB_DEPENDS+=	curl:${PORTSDIR}/ftp/curl
-CONFIGURE_ARGS+=--enable-nginx
-PLIST_SUB+=	NGINX=""
-.else
-CONFIGURE_ARGS+=--disable-nginx
-PLIST_SUB+=	NGINX="@comment "
-.endif
-
-.if ${PORT_OPTIONS:MOPENVPN}
-CONFIGURE_ARGS+=--enable-openvpn
-RUN_DEPENDS+=	${LOCALBASE}/sbin/openvpn:${PORTSDIR}/security/openvpn
-PLIST_SUB+=	OPENVPN=""
-.else
-CONFIGURE_ARGS+=--disable-openvpn
-PLIST_SUB+=	OPENVPN="@comment "
-.endif
-
-.if ${PORT_OPTIONS:MPDNS}
-USE_PDNS=	yes
-CONFIGURE_ARGS+=--enable-powerdns
-PLIST_SUB+=	PDNS=""
+.if ${PORT_OPTIONS:MNUTUPS}
+LIB_DEPENDS+=	upsclient:${PORTSDIR}/sysutils/nut
+CONFIGURE_ARGS+=--with-upsclient=${LOCALBASE} --enable-nut
+PLIST_SUB+=	NUTUPS=""
 .else
-CONFIGURE_ARGS+=--disable-powerdns
-PLIST_SUB+=	PDNS="@comment "
+PLIST_SUB+=	NUTUPS="@comment "
 .endif
 
 .if ${PORT_OPTIONS:MPGSQL}
 USE_PGSQL=	yes
-CONFIGURE_ARGS+=--enable-postgresql
+CONFIGURE_ARGS+=--with-postgresql=${LOCALBASE} --enable-postgresql
 PLIST_SUB+=	PGSQL=""
 .else
-CONFIGURE_ARGS+=--disable-postgresql
 PLIST_SUB+=	PGSQL="@comment "
 .endif
 
 .if ${PORT_OPTIONS:MPING}
 LIB_DEPENDS+=	oping:${PORTSDIR}/net/liboping
-CONFIGURE_ARGS+=--enable-ping
+CONFIGURE_ARGS+=--with-liboping=${LOCALBASE} --enable-ping
 PLIST_SUB+=	PING=""
 .else
-CONFIGURE_ARGS+=--disable-ping
 PLIST_SUB+=	PING="@comment "
 .endif
 
 .if ${PORT_OPTIONS:MPYTHON}
-USE_PYTHON=		yes
-CONFIGURE_ARGS+=--enable-python
+USE_PYTHON=	yes
+CONFIGURE_ARGS+=--with-python=${LOCALBASE} --enable-python
 PLIST_SUB+=	PYTHON=""
 .else
-CONFIGURE_ARGS+=--disable-python
 PLIST_SUB+=	PYTHON="@comment "
 .endif
 
+.if ${PORT_OPTIONS:MREDIS}
+LIB_DEPENDS+=	credis:${PORTSDIR}/databases/credis
+CONFIGURE_ARGS+=--with-libcredis=${LOCALBASE} \
+		--enable-redis \
+		--enable-write_redis
+PLIST_SUB+=	REDIS=""
+.else
+PLIST_SUB+=	REDIS="@comment "
+.endif
+
 .if ${PORT_OPTIONS:MROUTEROS}
-LIB_DEPENDS+=	routeros:${PORTSDIR}/net/librouteros
-CONFIGURE_ARGS+=--enable-routeros --with-librouteros=${LOCALBASE}
+LIB_DEPENDS+=	routeros:${PORTSDIR}/net/routeros
+CONFIGURE_ARGS+=--with-librouteros=${LOCALBASE} --enable-routeros
 PLIST_SUB+=	ROUTEROS=""
 .else
-CONFIGURE_ARGS+=--disable-routeros --without-librouteros
 PLIST_SUB+=	ROUTEROS="@comment "
 .endif
 
 .if ${PORT_OPTIONS:MRRDTOOL}
 LIB_DEPENDS+=	rrd:${PORTSDIR}/databases/rrdtool
-CONFIGURE_ARGS+=--enable-rrdtool
-PLIST_SUB+=	RRD=""
+CONFIGURE_ARGS+=--with-librrd=${LOCALBASE} \
+		--enable-rrdcached \
+		--enable-rrdtool
+PLIST_SUB+=	RRDTOOL=""
 .else
-CONFIGURE_ARGS+=--disable-rrdtool
-PLIST_SUB+=	RRD="@comment "
+PLIST_SUB+=	RRDTOOL="@comment "
 .endif
 
-.if ${PORT_OPTIONS:MRRDCACHED} && ${PORT_OPTIONS:MRRDTOOL}
-CONFIGURE_ARGS+=--enable-rrdcached
-PLIST_SUB+=	RRDCACHED=""
+.if ${PORT_OPTIONS:MSTATGRAB}
+USE_PKGCONFIG=	yes
+LIB_DEPENDS+=	statgrab:${PORTSDIR}/devel/libstatgrab
+CONFIGURE_ENV+= LIBS="`pkg-config --libs libstatgrab`"
+CONFIGURE_ARGS+=--with-libstatgrab=${LOCALBASE} \
+		--enable-disk \
+		--enable-interface
+PLIST_SUB+=	STATGRAB=""
 .else
-CONFIGURE_ARGS+=--disable-rrdcached
-PLIST_SUB+=	RRDCACHED="@comment "
+PLIST_SUB+=	STATGRAB="@comment "
 .endif
 
 .if ${PORT_OPTIONS:MSNMP}
 LIB_DEPENDS+=	netsnmp:${PORTSDIR}/net-mgmt/net-snmp
-CONFIGURE_ARGS+=--enable-snmp
+CONFIGURE_ARGS+=--with-libnetsnmp --enable-snmp
 PLIST_SUB+=	SNMP=""
 .else
-CONFIGURE_ARGS+=--disable-snmp
 PLIST_SUB+=	SNMP="@comment "
 .endif
 
-.if ${PORT_OPTIONS:MTABLE}
-CONFIGURE_ARGS+=--enable-table
-PLIST_SUB+=	TABLE=""
-.else
-CONFIGURE_ARGS+=--disable-table
-PLIST_SUB+=	TABLE="@comment "
-.endif
-
 .if ${PORT_OPTIONS:MTOKYOTYRANT}
 LIB_DEPENDS+=	tokyotyrant:${PORTSDIR}/databases/tokyotyrant
-CONFIGURE_ARGS+=--enable-tokyotyrant
-CONFIGURE_ARGS+=--with-libtokyotyrant=${LOCALBASE}
+CONFIGURE_ARGS+=--with-libtokyotyrant=${LOCALBASE} --enable-tokyotyrant
 PLIST_SUB+=	TOKYOTYRANT=""
 .else
-CONFIGURE_ARGS+=--disable-tokyotyrant --without-libtokyotyrant
 PLIST_SUB+=	TOKYOTYRANT="@comment "
 .endif
 
-.if ${PORT_OPTIONS:MVARNISH}
-LIB_DEPENDS+=	varnishapi:${PORTSDIR}/www/varnish
-CONFIGURE_ARGS+=--enable-varnish
-CONFIGURE_ARGS+=--with-libvarnish=${PREFIX}
-PLIST_SUB+=	VARNISH=""
-.else
-CONFIGURE_ARGS+=--disable-varnish
-PLIST_SUB+=	VARNISH="@comment "
-.endif
-
 .if ${PORT_OPTIONS:MVIRT}
+LIB_DEPENDS+=	virt:${PORTSDIR}/devel/libvirt
 CONFIGURE_ARGS+=--enable-libvirt
-LIB_DEPENDS+=	virt.1000:${PORTSDIR}/devel/libvirt
+.if empty(PORT_OPTIONS:MXML)
+IGNORE=		VIRT requires XML. Either select XML or deselect VIRT.
+.endif
 PLIST_SUB+=	VIRT=""
 .else
-CONFIGURE_ARGS+=--disable-libvirt
 PLIST_SUB+=	VIRT="@comment "
 .endif
 
-.if ${PORT_OPTIONS:MWRITE_GRAPHITE}
-CONFIGURE_ARGS+=--enable-write_graphite
-PLIST_SUB+=	WRITE_GRAPHITE=""
-.else
-CONFIGURE_ARGS+=--disable-write_graphite
-PLIST_SUB+=	WRITE_GRAPHITE="@comment "
-.endif
-
-.if ${PORT_OPTIONS:MWRITE_HTTP}
-CONFIGURE_ARGS+=--enable-write_http
-PLIST_SUB+=	WRITE_HTTP=""
-.else
-CONFIGURE_ARGS+=--disable-write_http
-PLIST_SUB+=	WRITE_HTTP="@comment "
+.if ${PORT_OPTIONS:MXML}
+LIB_DEPENDS+=	xml2:${PORTSDIR}/textproc/libxml2
+CONFIGURE_ARGS+=--with-libxml2=${LOCALBASE}
 .endif
 
 .if ${PORT_OPTIONS:MXMMS}
 LIB_DEPENDS+=	xmms:${PORTSDIR}/multimedia/xmms
-CONFIGURE_ARGS+=--enable-xmms
+CONFIGURE_ARGS+=--with-libxmms=${LOCALBASE} --enable-xmms
 CFLAGS+=	`xmms-config --cflags`
 PLIST_SUB+=	XMMS=""
 .else
-CONFIGURE_ARGS+=--disable-xmms
 PLIST_SUB+=	XMMS="@comment "
 .endif
 
@@ -487,6 +370,7 @@ post-patch:
 	@${REINPLACE_CMD} \
 		-e 's;@prefix@/var/;/var/;' \
 		-e 's;/var/lib/;/var/db/;' \
+		-e 's;@localstatedir@/lib/;/var/db/;' \
 		${WRKSRC}/src/collectd.conf.in
 	@${REINPLACE_CMD} -e '/$$[(]mkinstalldirs)/d' ${WRKSRC}/Makefile.in
 	@${REINPLACE_CMD} \

Modified: head/net-mgmt/collectd5/distinfo
==============================================================================
--- head/net-mgmt/collectd5/distinfo	Thu Jun 20 02:03:00 2013	(r321345)
+++ head/net-mgmt/collectd5/distinfo	Thu Jun 20 03:02:07 2013	(r321346)
@@ -1,2 +1,2 @@
-SHA256 (collectd-5.2.1.tar.bz2) = d82a5c302d2cfa0c3f7a3c7b7e37fb3faf42b17d2addae036cb819b6b25b9d98
-SIZE (collectd-5.2.1.tar.bz2) = 1395740
+SHA256 (collectd-5.3.0.tar.bz2) = 5b04150f3c79f90f1a610ed22a2287ef5d8a07dcc2d0fa7a6a650edd9dc1ea01
+SIZE (collectd-5.3.0.tar.bz2) = 1501308

Modified: head/net-mgmt/collectd5/files/patch-configure.in
==============================================================================
--- head/net-mgmt/collectd5/files/patch-configure.in	Thu Jun 20 02:03:00 2013	(r321345)
+++ head/net-mgmt/collectd5/files/patch-configure.in	Thu Jun 20 03:02:07 2013	(r321346)
@@ -1,8 +1,6 @@
-diff --git configure.in configure.in
-index d50e802..4660787 100644
---- configure.in
-+++ configure.in
-@@ -67,6 +67,9 @@ case $host_os in
+--- ./configure.in.orig	2013-05-21 21:43:30.000000000 +0000
++++ ./configure.in	2013-05-21 21:43:14.000000000 +0000
+@@ -74,6 +74,9 @@
  	*openbsd*)
  	ac_system="OpenBSD"
  	;;
@@ -12,7 +10,7 @@ index d50e802..4660787 100644
  	*aix*)
  	AC_DEFINE([KERNEL_AIX], 1, [True if program is to be compiled for a AIX kernel])
  	ac_system="AIX"
-@@ -99,7 +102,7 @@ then
+@@ -106,7 +109,7 @@
  fi
  
  # Where to install .pc files.
@@ -21,7 +19,7 @@ index d50e802..4660787 100644
  AC_SUBST(pkgconfigdir)
  
  # Check for standards compliance mode
-@@ -1386,6 +1389,7 @@ if test "x$with_kstat" = "xyes"
+@@ -1413,6 +1416,7 @@
  then
  	AC_CHECK_LIB(kstat, kstat_open, [with_kstat="yes"], [with_kstat="no (libkstat not found)"], [])
  fi
@@ -29,26 +27,29 @@ index d50e802..4660787 100644
  if test "x$with_kstat" = "xyes"
  then
  	AC_CHECK_LIB(devinfo, di_init, [with_devinfo="yes"], [with_devinfo="no (not found)"], [])
-@@ -1395,6 +1399,8 @@ if test "x$with_kstat" = "xyes"
+@@ -1422,6 +1426,8 @@
  then
  	AC_DEFINE(HAVE_LIBKSTAT, 1,
  		  [Define to 1 if you have the 'kstat' library (-lkstat)])
-+        BUILD_WITH_LIBKSTAT_LIBS="-lkstat"
-+        AC_SUBST(BUILD_WITH_LIBKSTAT_LIBS)
++	BUILD_WITH_LIBKSTAT_LIBS="-lkstat"
++	AC_SUBST(BUILD_WITH_LIBKSTAT_LIBS)
  fi
  AM_CONDITIONAL(BUILD_WITH_LIBKSTAT, test "x$with_kstat" = "xyes")
  AM_CONDITIONAL(BUILD_WITH_LIBDEVINFO, test "x$with_devinfo" = "xyes")
-@@ -1815,9 +1821,6 @@ then
+@@ -1841,12 +1847,6 @@
+ 	AC_CHECK_LIB(gcrypt, gcry_md_hash_buffer,
  		[with_libgcrypt="yes"],
  		[with_libgcrypt="no (symbol gcry_md_hash_buffer not found)"])
- 
+-
 -	if test "$with_libgcrypt" != "no"; then
 -		AM_PATH_LIBGCRYPT(1:1.2.0,,with_libgcrypt="no (version 1.2.0+ required)")
+-		GCRYPT_CPPFLAGS="$LIBGCRYPT_CPPFLAGS $LIBGCRYPT_CFLAGS"
+-		GCRYPT_LIBS="$LIBGCRYPT_LIBS"
 -	fi
  fi
  
  CPPFLAGS="$SAVE_CPPFLAGS"
-@@ -3376,7 +3379,7 @@ fi
+@@ -3408,7 +3408,7 @@
  if test "x$with_python" = "xyes"
  then
  	AC_MSG_CHECKING([for Python LIBS])
@@ -57,7 +58,7 @@ index d50e802..4660787 100644
  	python_config_status=$?
  
  	if test "$python_config_status" -ne 0 || test "x$python_library_flags" = "x"
-@@ -3391,7 +3394,7 @@ fi
+@@ -3423,7 +3423,7 @@
  if test "x$with_python" = "xyes"
  then
  	LDFLAGS="-L$python_library_path $LDFLAGS"
@@ -66,7 +67,7 @@ index d50e802..4660787 100644
  
  	AC_CHECK_FUNC(PyObject_CallFunction,
  		      [with_python="yes"],
-@@ -4136,7 +4139,7 @@ AC_ARG_WITH(libvarnish, [AS_HELP_STRING([--with-libvarnish@<:@=PREFIX@:>@], [Pat
+@@ -4168,7 +4168,7 @@
  	then
  		AC_MSG_NOTICE([Not checking for libvarnish: Manually configured])
  		with_libvarnish_cflags="-I$withval/include"
@@ -75,12 +76,12 @@ index d50e802..4660787 100644
  		with_libvarnish="yes"
  	fi; fi; fi
  ],
-@@ -4661,6 +4664,12 @@ then
+@@ -4693,6 +4693,12 @@
  	plugin_zfs_arc="yes"
  fi
  
 +# FreeBSD
-+if test "x$ac_system" = "xFreeBSD"
++if test "x$have_struct_kinfo_proc_freebsd" = "xyes"
 +then
 +	plugin_zfs_arc="yes"
 +fi
@@ -88,3 +89,15 @@ index d50e802..4660787 100644
  if test "x$with_devinfo$with_kstat" = "xyesyes"
  then
  	plugin_cpu="yes"
+@@ -4866,6 +4872,12 @@
+ 	plugin_users="yes"
+ fi
+ 
++# FreeBSD
++if test "x$have_struct_kinfo_proc_freebsd" = "xyes"
++then
++	plugin_zfs_arc="yes"
++fi
++
+ m4_divert_once([HELP_ENABLE], [
+ collectd plugins:])

Modified: head/net-mgmt/collectd5/files/patch-src__Makefile.am
==============================================================================
--- head/net-mgmt/collectd5/files/patch-src__Makefile.am	Thu Jun 20 02:03:00 2013	(r321345)
+++ head/net-mgmt/collectd5/files/patch-src__Makefile.am	Thu Jun 20 03:02:07 2013	(r321346)
@@ -1,6 +1,15 @@
---- src/Makefile.am.orig	2012-04-02 08:04:58.000000000 +0000
-+++ src/Makefile.am	2012-11-23 22:01:15.169498221 +0000
-@@ -63,7 +63,7 @@
+--- ./src/Makefile.am.orig	2013-04-10 15:34:36.000000000 +0000
++++ ./src/Makefile.am	2013-05-21 23:57:02.000000000 +0000
+@@ -10,7 +10,7 @@
+ AM_CPPFLAGS = -DPREFIX='"${prefix}"'
+ AM_CPPFLAGS += -DCONFIGFILE='"${sysconfdir}/${PACKAGE_NAME}.conf"'
+ AM_CPPFLAGS += -DLOCALSTATEDIR='"${localstatedir}"'
+-AM_CPPFLAGS += -DPKGLOCALSTATEDIR='"${localstatedir}/lib/${PACKAGE_NAME}"'
++AM_CPPFLAGS += -DPKGLOCALSTATEDIR='"${localstatedir}/db/${PACKAGE_NAME}"'
+ if BUILD_FEATURE_DAEMON
+ AM_CPPFLAGS += -DPIDFILE='"${localstatedir}/run/${PACKAGE_NAME}.pid"'
+ endif
+@@ -64,7 +64,7 @@
  collectd_LDADD += -lpthread
  endif
  if BUILD_WITH_LIBKSTAT
@@ -9,7 +18,7 @@
  endif
  if BUILD_WITH_LIBDEVINFO
  collectd_LDADD += -ldevinfo
-@@ -224,7 +224,7 @@
+@@ -257,7 +257,7 @@
  cpu_la_LDFLAGS = -module -avoid-version
  cpu_la_LIBADD = 
  if BUILD_WITH_LIBKSTAT
@@ -18,7 +27,7 @@
  endif
  if BUILD_WITH_LIBDEVINFO
  cpu_la_LIBADD += -ldevinfo
-@@ -322,7 +322,7 @@
+@@ -355,7 +355,7 @@
  disk_la_LDFLAGS = -module -avoid-version
  disk_la_LIBADD = 
  if BUILD_WITH_LIBKSTAT
@@ -27,7 +36,7 @@
  endif
  if BUILD_WITH_LIBDEVINFO
  disk_la_LIBADD += -ldevinfo
-@@ -429,7 +429,7 @@
+@@ -462,7 +462,7 @@
  interface_la_LIBADD += $(BUILD_WITH_LIBSTATGRAB_LDFLAGS)
  else
  if BUILD_WITH_LIBKSTAT
@@ -36,7 +45,7 @@
  endif
  if BUILD_WITH_LIBDEVINFO
  interface_la_LIBADD += -ldevinfo
-@@ -634,7 +634,7 @@
+@@ -667,7 +667,7 @@
  collectd_LDADD += "-dlopen" memory.la
  collectd_DEPENDENCIES += memory.la
  if BUILD_WITH_LIBKSTAT
@@ -45,7 +54,7 @@
  endif
  if BUILD_WITH_LIBDEVINFO
  memory_la_LIBADD += -ldevinfo
-@@ -763,7 +763,7 @@
+@@ -796,7 +796,7 @@
  pkglib_LTLIBRARIES += notify_email.la
  notify_email_la_SOURCES = notify_email.c
  notify_email_la_LDFLAGS = -module -avoid-version
@@ -54,7 +63,7 @@
  collectd_LDADD += "-dlopen" notify_email.la
  collectd_DEPENDENCIES += notify_email.la
  endif
-@@ -1021,7 +1021,7 @@
+@@ -1061,7 +1061,7 @@
  collectd_LDADD += "-dlopen" swap.la
  collectd_DEPENDENCIES += swap.la
  if BUILD_WITH_LIBKSTAT
@@ -63,7 +72,7 @@
  endif
  if BUILD_WITH_LIBDEVINFO
  swap_la_LIBADD += -ldevinfo
-@@ -1067,7 +1067,7 @@
+@@ -1115,7 +1115,7 @@
  pkglib_LTLIBRARIES += tape.la
  tape_la_SOURCES = tape.c
  tape_la_LDFLAGS = -module -avoid-version
@@ -72,16 +81,16 @@
  collectd_LDADD += "-dlopen" tape.la
  collectd_DEPENDENCIES += tape.la
  endif
-@@ -1190,7 +1190,7 @@
+@@ -1238,7 +1238,7 @@
  uptime_la_LDFLAGS = -module -avoid-version
  uptime_la_LIBADD =
  if BUILD_WITH_LIBKSTAT
 -uptime_la_LIBADD += -lkstat
 +uptime_la_LIBADD += $(BUILD_WITH_LIBKSTAT_LIBS)
  endif
- collectd_LDADD += "-dlopen" uptime.la
- collectd_DEPENDENCIES += uptime.la
-@@ -1313,7 +1313,7 @@
+ if BUILD_WITH_PERFSTAT
+ uptime_la_LIBADD += -lperfstat
+@@ -1375,7 +1375,7 @@
  zfs_arc_la_SOURCES = zfs_arc.c
  zfs_arc_la_CFLAGS = $(AM_CFLAGS)
  zfs_arc_la_LDFLAGS = -module -avoid-version
@@ -90,7 +99,7 @@
  collectd_LDADD += "-dlopen" zfs_arc.la
  collectd_DEPENDENCIES += zfs_arc.la
  endif
-@@ -1374,12 +1374,7 @@
+@@ -1458,12 +1458,7 @@
  
  install-exec-hook:
  	$(mkinstalldirs) $(DESTDIR)$(sysconfdir)

Added: head/net-mgmt/collectd5/files/patch-src__Makefile.in
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/net-mgmt/collectd5/files/patch-src__Makefile.in	Thu Jun 20 03:02:07 2013	(r321346)
@@ -0,0 +1,11 @@
+--- ./src/Makefile.in.orig	2013-05-21 23:58:34.000000000 +0000
++++ ./src/Makefile.in	2013-05-21 23:59:22.000000000 +0000
+@@ -2107,7 +2107,7 @@
+ AM_CPPFLAGS = -DPREFIX='"${prefix}"' \
+ 	-DCONFIGFILE='"${sysconfdir}/${PACKAGE_NAME}.conf"' \
+ 	-DLOCALSTATEDIR='"${localstatedir}"' \
+-	-DPKGLOCALSTATEDIR='"${localstatedir}/lib/${PACKAGE_NAME}"' \
++	-DPKGLOCALSTATEDIR='"${localstatedir}/db/${PACKAGE_NAME}"' \
+ 	$(am__append_2) -DPLUGINDIR='"${pkglibdir}"' \
+ 	-DPKGDATADIR='"${pkgdatadir}"'
+ collectd_SOURCES = collectd.c collectd.h \

Modified: head/net-mgmt/collectd5/files/patch-src__collectd.h
==============================================================================
--- head/net-mgmt/collectd5/files/patch-src__collectd.h	Thu Jun 20 02:03:00 2013	(r321345)
+++ head/net-mgmt/collectd5/files/patch-src__collectd.h	Thu Jun 20 03:02:07 2013	(r321346)
@@ -1,6 +1,6 @@
---- ./src/collectd.h.orig	2007-09-28 17:55:34.000000000 +0300
-+++ ./src/collectd.h	2008-05-06 10:32:08.000000000 +0300
-@@ -183,7 +183,7 @@
+--- ./src/collectd.h.orig	2013-01-27 13:47:18.246255000 +0000
++++ ./src/collectd.h	2013-05-21 21:00:55.000000000 +0000
+@@ -235,15 +235,15 @@
  #endif
  
  #ifndef LOCALSTATEDIR
@@ -9,7 +9,8 @@
  #endif
  
  #ifndef PKGLOCALSTATEDIR
-@@ -191,7 +191,7 @@
+-#define PKGLOCALSTATEDIR PREFIX "/var/lib/" PACKAGE_NAME
++#define PKGLOCALSTATEDIR PREFIX "/var/db/" PACKAGE_NAME
  #endif
  
  #ifndef PIDFILE

Modified: head/net-mgmt/collectd5/files/patch-src__zfs_arc.c
==============================================================================
--- head/net-mgmt/collectd5/files/patch-src__zfs_arc.c	Thu Jun 20 02:03:00 2013	(r321345)
+++ head/net-mgmt/collectd5/files/patch-src__zfs_arc.c	Thu Jun 20 03:02:07 2013	(r321346)
@@ -1,20 +1,3 @@
-diff --git configure.in configure.in
-index 4660787..54fd9d8 100644
---- configure.in
-+++ configure.in
-@@ -4843,6 +4843,12 @@ then
- 	plugin_users="yes"
- fi
- 
-+# FreeBSD
-+if test "x$have_struct_kinfo_proc_freebsd" = "xyes"
-+then
-+	plugin_zfs_arc="yes"
-+fi
-+
- m4_divert_once([HELP_ENABLE], [
- collectd plugins:])
- 
 diff --git src/zfs_arc.c src/zfs_arc.c
 index aa90019..17e8513 100644
 --- src/zfs_arc.c

Modified: head/net-mgmt/collectd5/files/patch-version-gen.sh
==============================================================================
--- head/net-mgmt/collectd5/files/patch-version-gen.sh	Thu Jun 20 02:03:00 2013	(r321345)
+++ head/net-mgmt/collectd5/files/patch-version-gen.sh	Thu Jun 20 03:02:07 2013	(r321346)
@@ -1,12 +1,9 @@
-diff --git version-gen.sh version-gen.sh
-index e344541..1ed7480 100755
---- version-gen.sh
-+++ version-gen.sh
+--- ./version-gen.sh.orig	2013-05-21 21:22:23.000000000 +0000
++++ ./version-gen.sh	2013-05-21 21:23:19.000000000 +0000
 @@ -1,13 +1,3 @@
 -#!/usr/bin/env bash
-+#!/bin/sh
- 
--DEFAULT_VERSION="5.2.1.git"
+-
+-DEFAULT_VERSION="5.3.0.git"
 -
 -VERSION="`git describe 2> /dev/null | sed -e 's/^collectd-//'`"
 -
@@ -15,6 +12,7 @@ index e344541..1ed7480 100755
 -fi
 -
 -VERSION="`echo \"$VERSION\" | sed -e 's/-/./g'`"
--
++#!/bin/sh
+ 
 -echo -n "$VERSION"
-+echo -n "5.2.1.git"
++echo -n "5.3.0.git"

Modified: head/net-mgmt/collectd5/pkg-plist
==============================================================================
--- head/net-mgmt/collectd5/pkg-plist	Thu Jun 20 02:03:00 2013	(r321345)
+++ head/net-mgmt/collectd5/pkg-plist	Thu Jun 20 03:02:07 2013	(r321346)
@@ -16,126 +16,150 @@ include/collectd/client.h
 include/collectd/lcc_features.h
 include/collectd/network.h
 include/collectd/network_buffer.h
-lib/collectd/aggregation.la
 lib/collectd/aggregation.so
-%%APACHE%%lib/collectd/apache.la
-%%APACHE%%lib/collectd/apache.so
-%%APCUPS%%lib/collectd/apcups.la
-%%APCUPS%%lib/collectd/apcups.so
-%%BIND%%lib/collectd/bind.la
-%%BIND%%lib/collectd/bind.so
-lib/collectd/cpu.la
+lib/collectd/aggregation.la
+%%CURL%%lib/collectd/apache.so
+%%CURL%%lib/collectd/apache.la

*** DIFF OUTPUT TRUNCATED AT 1000 LINES ***
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 6 Steve Wills freebsd_committer 2013-06-20 04:02:57 UTC
State Changed
From-To: feedback->closed

Committed. No UPDATING entry as the dialog menu should be automatic. 
Thanks!